/**
* DevExtreme (ui/map.d.ts)
* Version: 18.2.2-pre-beta
* Build date: Wed Oct 24 2018
*
* Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxMap(): JQuery;
    dxMap(options: "instance"): DevExpress.ui.dxMap;
    dxMap(options: string): any;
    dxMap(options: string, ...params: any[]): any;
    dxMap(options: DevExpress.ui.dxMapOptions): JQuery;
}
}
export default DevExpress.ui.dxMap;
export type Options = DevExpress.ui.dxMapOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxMapOptions;